<?php
if ( !defined('ABSPATH') )
	exit("Sorry, you are not allowed to access this page directly.");
if ( !isset($this) || !is_a($this, HackadelicSeriesAdmin)   )
	exit("Invalid operation context.");

$this->handleRequest($msg);
$allseries = $this->groupEntries();

$sSeries = $this->t('Series') . '&nbsp;&nbsp;&nbsp;&nbsp;';
$sRename = $this->t('Rename');
$sEntries = $this->t('Entries');
$sEdit = $this->t('Edit');
$sView = $this->t('View');
?>
<style>
	ol.hackadelic-series-list { margin: .5em 3em; list-style-type: decimal }
	ol.hackadelic-series-list li { margin: 0; padding: .25em 0 }
	ol.hackadelic-series-list li .ui { display:none }
	ol.hackadelic-series-list li:hover .ui { display:inline }
	ol.hackadelic-series-list li:hover { background-color: whitesmoke; }
</style>
<div class="wrap">
<h2><?php echo $this->PLUGIN_TITLE ?> Administration</h2>
<p></p>
<?php if (isset($msg)) : ?>
<div id="message" class="updated fade">
<p><?php echo $msg ?></p>
</div>
<?php endif ?>

<form class="hackadelic-series-form" method="post">
	<input type="hidden" name="page" value="<?php echo $_REQUEST['page']; ?>" />
	<input type="hidden" name="action" value="migrate-meta" />
	<label for="meta_key"><?php $this->e('Meta key') ?></label>
	<input type="hidden" name="from" value="<?php echo $this->META_KEY; ?>" />
	<input type="text" size="50" name="to" id="meta_key" value="<?php echo $this->META_KEY ?>" />
	<?php $this->admin_button($sRename, '', 'submit', 
		$this->t('This will both, rename the meta key, and update the option')) ?>
</form>
<?php /*
*/ ?>

<?php if (!$allseries) : ?>
<p><?php $this->e('There are currently no series') ?></p>
<?php else : ?>

<div class="hackadelic-admin-pane">
<?php $nr = 0; foreach ($allseries as $title => $series) : ++$nr; $tid = "to-$nr"; ?>
<form class="hackadelic-series-form" method="post">
	<input type="hidden" name="page" value="<?php echo $_REQUEST['page']; ?>" />
	<input type="hidden" name="action" value="rename" />
	<label for="<?php echo $tid ?>"><?php echo $sSeries ?></label>
	<input type="hidden" name="from" value="<?php echo $title ?>" readonly />
	<input type="text" size="50" name="to" id="<?php echo $tid ?>" value="<?php echo $title ?>" />

	<?php $this->admin_button($sRename, '', 'submit') ?>
	<?php $this->admin_button($sEntries.' &raquo;', "jQuery('#members-$nr').slideToggle('fast')") ?>
</form>
<ol class="hidden hackadelic-series-list" id="members-<?php echo $nr ?>">
<?php foreach ($series->members as $p) : ?>
	<li>
		<?php echo $p->title ?>
		<span class="ui">
		(<a href="<?php $this->editurl($p) ?>"><?php echo $sEdit ?></a>
		| <a href="<?php $this->viewurl($p) ?>"><?php echo $sView ?></a>)
		</span>
	</li>
<?php endforeach // foreach $series->members ?>
</ol>
<?php endforeach // foreach $allseries ?>
</div>
<?php endif // if allseries ?>

<p><?php $this->e('To learn more about the plug-in, visit') ?> <a href="http://hackadelic.com/solutions/wordpress/series"><?php $this->e('the plug-in homepage') ?></a>, <?php $this->e('and') ?> <a href="http://hackadelic.com/hackadelic-series-plugin-arrr"><?php $this->e('the plug-in annoucement') ?></a>.</p>

<p><?php $this->e('Cheers and happy serial writing!') ?> -- <em><a href="http://hackadelic.com">Hackadelic</a></em>
</p>
<hr size="1" />
<p><em><?php $this->e('Need an expert plugin developer?') ?>
	<a href="http://hackadelic.com/contact"><?php $this->e('Contact me') ?>!</a></em>
</p>
</div>
<?php if (isset($msg)) : ?>
<script>
jQuery(function(){
	jQuery('.fade').fadeOut(10000);
});
</script>
<?php endif ?>